質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.63%

GNOME3の最新版にアップグレードできない

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 209

firewater

score 2

gnome3.34からアプリのアイコンをドラッグ&ドロップするだけでグループ化できるとの情報を得たので、gnomeを最新版にアップデートしようとしたのですが、

sudo add-apt-repository ppa:gnome3-team/gnome3-staging
sudo add-apt-repository ppa:gnome3-team/gnome3
sudo apt update


上記のコマンドでリポジトリを追加したあとupdateすると

ヒット:1 http://ftp.jp.debian.org/debian buster InRelease
無視:2 http://ftp.jp.debian.org/debian buster/updates InRelease
ヒット:3 http://ftp.jp.debian.org/debian buster-updates InRelease
エラー:4 http://ftp.jp.debian.org/debian buster/updates Release
  404  Not Found [IP: 133.87.45.30 80]
無視:5 http://ppa.launchpad.net/gnome3-team/gnome3/ubuntu focal InRelease
無視:6 http://ppa.launchpad.net/gnome3-team/gnome3-staging/ubuntu focal InRelease
エラー:7 http://ppa.launchpad.net/gnome3-team/gnome3/ubuntu focal Release
  404  Not Found [IP: 91.189.95.83 80]
エラー:8 http://ppa.launchpad.net/gnome3-team/gnome3-staging/ubuntu focal Release
  404  Not Found [IP: 91.189.95.83 80]
パッケージリストを読み込んでいます... 完了
E: リポジトリ http://ftp.jp.debian.org/debian buster/updates Release には Release ファイルがありません。
N: このようなリポジトリから更新を安全に行うことができないので、デフォルトでは更新が無効になっています。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。
E: リポジトリ http://ppa.launchpad.net/gnome3-team/gnome3/ubuntu focal Release には Release ファイルがありません。
N: このようなリポジトリから更新を安全に行うことができないので、デフォルトでは更新が無効になっています。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。
E: リポジトリ http://ppa.launchpad.net/gnome3-team/gnome3-staging/ubuntu focal Release には Release ファイルがありません。
N: このようなリポジトリから更新を安全に行うことができないので、デフォルトでは更新が無効になっています。
N: リポジトリの作成とユーザ設定の詳細は、apt-secure(8) man ページを参照してください。

このように表示されてしまい、上手くいきません。対処の方法を教えてください。よろしくお願い致します。

環境

Debian GNU/Linux 10 (buster) 64bit
GNOME 3.30.2

補足情報

その他追記してほしい情報がありましたら、「追記・修正依頼」の方にて返信をお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

この辺は詳しくないですが、、、
調べてみたら、こんな記述がありました。

Debian 10 Buster testing をリリース後に apt update するとエラーになる

要するに、テスト環境を設定していて、その後、 apt-getをすると、エラーなると。対応は、apt --allow-releaseinfo-change update しろとの事。
該当してないでしょうか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/11/03 14:18

    解答ありがとうございます。試してみましたが、結果は変わりませんでした...

    キャンセル

  • 2019/11/03 18:59

    エラーの状況とかも変わらないのでしょうか?

    >エラー:4 http://ftp.jp.debian.org/debian buster/updates Release
    ここに見に行ってみましたが、メッセージにあるように、 "buster/updates"は無いようでした。他のエラーも同様に無いようにみえます。 (全部は見てませんが)

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.63%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる